Package Details: libnatspec 0.3.0-2

Git Clone URL: https://aur.archlinux.org/libnatspec.git (read-only)
Package Base: libnatspec
Description: A collection of functions for request various charsets and locales for host system and for other system.
Upstream URL: http://sourceforge.net/projects/natspec/
Licenses: LGPL
Submitter: natrio
Maintainer: natrio
Last Packager: natrio
Votes: 8
Popularity: 0.039665
First Submitted: 2015-08-12 20:49
Last Updated: 2015-10-15 17:48

Dependencies (2)

  • popt (make)
  • popt (optional) – natspec tool

Sources (1)

Latest Comments

natrio commented on 2015-10-15 17:55

Thanks, the "natspec" commandline tool IS depends of "popt":
$ ldd /usr/bin/natspec
linux-gate.so.1 (0xb7743000)
libnatspec.so.0 => /usr/lib/libnatspec.so.0 (0xb76ea000)
libpopt.so.0 => /usr/lib/libpopt.so.0 (0xb76dd000)
libc.so.6 => /usr/lib/libc.so.6 (0xb7523000)
/lib/ld-linux.so.2 (0xb7744000)

But, libnatspec is NOT:
$ ldd /usr/lib/libnatspec.so.0
linux-gate.so.1 (0xb77da000)
libc.so.6 => /usr/lib/libc.so.6 (0xb75c7000)
/usr/lib/ld-linux.so.2 (0x80076000)

In result:
makedepends=('popt')
optdepends=('popt: natspec tool')

Petron commented on 2015-10-15 04:13

missing dependency: popt
please add the following line to PKGBUILD:
depends=('popt')